#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=seattle4.79_base.ps
projection=-JM16.0c+
region=-R-123.1/-121.4/47.0/48.1
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map seattle4.79' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    47.341  -122.459
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    47.198  -122.310
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    47.436  -122.791
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    47.630  -122.188
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    47.594  -121.468
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    47.381  -122.377
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    47.783  -121.845
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    47.602  -122.597
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    47.512  -122.781
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    47.813  -122.764
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    47.503  -121.632
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    47.511  -121.894
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    47.165  -122.698
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    47.214  -122.699
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    47.093  -122.703
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    47.468  -122.814
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    47.397  -121.791
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    47.583  -121.845
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    47.588  -121.921
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    47.757  -121.845
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    47.512  -121.914
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    47.484  -122.738
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    47.661  -122.004
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    47.431  -122.756
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    47.611  -122.594
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    47.245  -122.875
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    47.839  -122.933
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
    47.963  -122.418
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
    47.470  -121.803
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
    47.401  -122.739
END
gmt psxy -: -R $projection -Sl8p+t"31" -G0 -O -K << END >> $psfile
    47.781  -122.914
END
gmt psxy -: -R $projection -Sl8p+t"32" -G0 -O -K << END >> $psfile
    47.812  -122.552
END
gmt psxy -: -R $projection -Sl8p+t"33" -G0 -O -K << END >> $psfile
    47.302  -122.388
END
gmt psxy -: -R $projection -Sl8p+t"34" -G0 -O -K << END >> $psfile
    47.686  -121.995
END
gmt psxy -: -R $projection -Sl8p+t"35" -G0 -O -K << END >> $psfile
    47.822  -121.958
END
gmt psxy -: -R $projection -Sl8p+t"36" -G0 -O -K << END >> $psfile
    47.266  -122.697
END
gmt psxy -: -R $projection -Sl8p+t"37" -G0 -O -K << END >> $psfile
    47.454  -122.891
END
gmt psxy -: -R $projection -Sl8p+t"38" -G0 -O -K << END >> $psfile
    47.759  -122.353
END
gmt psxy -: -R $projection -Sl8p+t"39" -G0 -O -K << END >> $psfile
    47.745  -122.539
END
gmt psxy -: -R $projection -Sl8p+t"40" -G0 -O -K << END >> $psfile
    47.644  -121.718
END
gmt psxy -: -R $projection -Sl8p+t"41" -G0 -O -K << END >> $psfile
    47.473  -122.045
END
gmt psxy -: -R $projection -Sl8p+t"42" -G0 -O -K << END >> $psfile
    47.435  -122.083
END
gmt psxy -: -R $projection -Sl8p+t"43" -G0 -O -K << END >> $psfile
    47.753  -122.482
END
gmt psxy -: -R $projection -Sl8p+t"44" -G0 -O -K << END >> $psfile
    47.687  -121.909
END
gmt psxy -: -R $projection -Sl8p+t"45" -G0 -O -K << END >> $psfile
    47.353  -122.726
END
gmt psxy -: -R $projection -Sl8p+t"46" -G0 -O -K << END >> $psfile
    47.767  -122.501
END
gmt psxy -: -R $projection -Sl8p+t"47" -G0 -O -K << END >> $psfile
    47.751  -122.863
END
gmt psxy -: -R $projection -Sl8p+t"48" -G0 -O -K << END >> $psfile
    47.609  -122.808
END
gmt psxy -: -R $projection -Sl8p+t"49" -G0 -O -K << END >> $psfile
    47.554  -122.967
END
gmt psxy -: -R $projection -Sl8p+t"50" -G0 -O -K << END >> $psfile
    47.125  -122.739
END
gmt psxy -: -R $projection -Sl8p+t"51" -G0 -O -K << END >> $psfile
    47.841  -121.866
END
gmt psxy -: -R $projection -Sl8p+t"52" -G0 -O -K << END >> $psfile
    47.520  -121.797
END
gmt psxy -: -R $projection -Sl8p+t"53" -G0 -O -K << END >> $psfile
    47.414  -122.045
END
gmt psxy -: -R $projection -Sl8p+t"54" -G0 -O -K << END >> $psfile
    47.861  -122.466
END
gmt psxy -: -R $projection -Sl8p+t"55" -G0 -O -K << END >> $psfile
    47.538  -122.789
END
gmt psxy -: -R $projection -Sl8p+t"56" -G0 -O -K << END >> $psfile
    47.496  -121.994
END
gmt psxy -: -R $projection -Sl8p+t"57" -G0 -O -K << END >> $psfile
    47.468  -121.980
END
gmt psxy -: -R $projection -Sl8p+t"58" -G0 -O -K << END >> $psfile
    47.539  -121.938
END
gmt psxy -: -R $projection -Sl8p+t"59" -G0 -O -K << END >> $psfile
    47.393  -121.612
END
gmt psxy -: -R $projection -Sl8p+t"60" -G0 -O -K << END >> $psfile
    47.582  -122.576
END
gmt psxy -: -R $projection -Sl8p+t"61" -G0 -O -K << END >> $psfile
    47.590  -122.578
END
gmt psxy -: -R $projection -Sl8p+t"62" -G0 -O -K << END >> $psfile
    47.599  -122.590
END
gmt psxy -: -R $projection -Sl8p+t"63" -G0 -O -K << END >> $psfile
    47.966  -122.478
END
gmt psxy -: -R $projection -Sl8p+t"64" -G0 -O -K << END >> $psfile
    47.867  -122.880
END
gmt psxy -: -R $projection -Sl8p+t"65" -G0 -O -K << END >> $psfile
    47.904  -121.979
END
gmt psxy -: -R $projection -Sl8p+t"66" -G0 -O -K << END >> $psfile
    47.916  -122.895
END
gmt psxy -: -R $projection -Sl8p+t"67" -G0 -O -K << END >> $psfile
    47.657  -122.783
END
gmt psxy -: -R $projection -Sl8p+t"68" -G0 -O -K << END >> $psfile
    47.871  -122.050
END
gmt psxy -: -R $projection -Sl8p+t"69" -G0 -O -K << END >> $psfile
    47.601  -121.819
END
gmt psxy -: -R $projection -Sl8p+t"70" -G0 -O -K << END >> $psfile
    47.603  -121.825
END
gmt psxy -: -R $projection -Sl8p+t"71" -G0 -O -K << END >> $psfile
    47.722  -121.966
END
gmt psxy -: -R $projection -Sl8p+t"72" -G0 -O -K << END >> $psfile
    47.590  -122.588
END
gmt psxy -: -R $projection -Sl8p+t"73" -G0 -O -K << END >> $psfile
    47.774  -122.506
END
gmt psxy -: -R $projection -Sl8p+t"74" -G0 -O -K << END >> $psfile
    47.862  -122.938
END
gmt psxy -: -R $projection -Sl8p+t"75" -G0 -O -K << END >> $psfile
    47.582  -122.583
END
gmt psxy -: -R $projection -Sl8p+t"76" -G0 -O -K << END >> $psfile
    47.837  -122.734
END
gmt psxy -: -R $projection -Sl8p+t"77" -G0 -O -K << END >> $psfile
    47.606  -121.819
END
gmt psxy -: -R $projection -Sl8p+t"78" -G0 -O -K << END >> $psfile
    47.851  -122.948
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.337  -122.454
    47.341  -122.459
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.328  -122.441
    47.341  -122.459
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.198  -122.310
    47.198  -122.310
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.195  -122.285
    47.198  -122.310
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.436  -122.792
    47.436  -122.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.441  -122.801
    47.436  -122.791
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.630  -122.188
    47.630  -122.188
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.632  -122.182
    47.630  -122.188
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.594  -121.468
    47.594  -121.468
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.601  -121.522
    47.594  -121.468
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.381  -122.377
    47.381  -122.377
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.361  -122.336
    47.381  -122.377
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.783  -121.845
    47.783  -121.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.796  -121.791
    47.783  -121.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.601  -122.598
    47.602  -122.597
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.621  -122.564
    47.602  -122.597
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.512  -122.782
    47.512  -122.781
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.481  -122.788
    47.512  -122.781
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.812  -122.763
    47.813  -122.764
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.808  -122.728
    47.813  -122.764
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.503  -121.632
    47.503  -121.632
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.506  -121.669
    47.503  -121.632
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.511  -121.894
    47.511  -121.894
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.550  -121.939
    47.511  -121.894
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.164  -122.698
    47.165  -122.698
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.177  -122.663
    47.165  -122.698
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.215  -122.699
    47.214  -122.699
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.214  -122.712
    47.214  -122.699
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.094  -122.704
    47.093  -122.703
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.099  -122.731
    47.093  -122.703
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.468  -122.813
    47.468  -122.814
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.469  -122.801
    47.468  -122.814
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.397  -121.791
    47.397  -121.791
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.372  -121.832
    47.397  -121.791
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.583  -121.845
    47.583  -121.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.572  -121.808
    47.583  -121.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.588  -121.920
    47.588  -121.921
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.591  -121.906
    47.588  -121.921
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.757  -121.844
    47.757  -121.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.744  -121.838
    47.757  -121.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.511  -121.914
    47.512  -121.914
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.501  -121.946
    47.512  -121.914
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.485  -122.737
    47.484  -122.738
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.483  -122.709
    47.484  -122.738
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.661  -122.003
    47.661  -122.004
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.649  -122.002
    47.661  -122.004
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.429  -122.755
    47.431  -122.756
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.424  -122.779
    47.431  -122.756
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.611  -122.594
    47.611  -122.594
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.586  -122.670
    47.611  -122.594
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.245  -122.875
    47.245  -122.875
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.254  -122.825
    47.245  -122.875
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.839  -122.934
    47.839  -122.933
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.807  -122.931
    47.839  -122.933
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.963  -122.418
    47.963  -122.418
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.969  -122.457
    47.963  -122.418
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.470  -121.802
    47.470  -121.803
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.480  -121.809
    47.470  -121.803
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.402  -122.737
    47.401  -122.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.404  -122.740
    47.401  -122.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.781  -122.915
    47.781  -122.914
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.777  -122.959
    47.781  -122.914
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.812  -122.553
    47.812  -122.552
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.818  -122.485
    47.812  -122.552
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.302  -122.388
    47.302  -122.388
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.280  -122.390
    47.302  -122.388
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.685  -121.995
    47.686  -121.995
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.679  -121.978
    47.686  -121.995
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.822  -121.958
    47.822  -121.958
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.812  -121.941
    47.822  -121.958
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.267  -122.696
    47.266  -122.697
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.288  -122.691
    47.266  -122.697
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.454  -122.892
    47.454  -122.891
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.428  -122.891
    47.454  -122.891
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.759  -122.352
    47.759  -122.353
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.754  -122.362
    47.759  -122.353
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.746  -122.538
    47.745  -122.539
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.749  -122.555
    47.745  -122.539
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.644  -121.719
    47.644  -121.718
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.645  -121.727
    47.644  -121.718
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.473  -122.045
    47.473  -122.045
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.479  -122.027
    47.473  -122.045
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.436  -122.083
    47.435  -122.083
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.450  -122.081
    47.435  -122.083
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.754  -122.482
    47.753  -122.482
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.749  -122.499
    47.753  -122.482
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.687  -121.908
    47.687  -121.909
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.699  -121.916
    47.687  -121.909
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.353  -122.727
    47.353  -122.726
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.387  -122.708
    47.353  -122.726
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.767  -122.502
    47.767  -122.501
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.764  -122.508
    47.767  -122.501
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.751  -122.863
    47.751  -122.863
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.771  -122.876
    47.751  -122.863
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.609  -122.806
    47.609  -122.808
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.619  -122.839
    47.609  -122.808
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.555  -122.967
    47.554  -122.967
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.606  -122.926
    47.554  -122.967
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.125  -122.743
    47.125  -122.739
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.132  -122.767
    47.125  -122.739
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.841  -121.866
    47.841  -121.866
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.837  -121.853
    47.841  -121.866
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.520  -121.797
    47.520  -121.797
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.523  -121.756
    47.520  -121.797
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.414  -122.045
    47.414  -122.045
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.411  -122.031
    47.414  -122.045
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.861  -122.465
    47.861  -122.466
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.874  -122.483
    47.861  -122.466
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.538  -122.787
    47.538  -122.789
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.543  -122.794
    47.538  -122.789
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.495  -121.993
    47.496  -121.994
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.509  -121.991
    47.496  -121.994
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.468  -121.980
    47.468  -121.980
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.458  -121.971
    47.468  -121.980
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.539  -121.937
    47.539  -121.938
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.538  -121.922
    47.539  -121.938
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.395  -121.611
    47.393  -121.612
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.405  -121.606
    47.393  -121.612
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.582  -122.576
    47.582  -122.576
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.569  -122.616
    47.582  -122.576
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.590  -122.577
    47.590  -122.578
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.591  -122.581
    47.590  -122.578
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.599  -122.589
    47.599  -122.590
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.599  -122.604
    47.599  -122.590
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.966  -122.478
    47.966  -122.478
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.974  -122.494
    47.966  -122.478
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.867  -122.882
    47.867  -122.880
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.869  -122.940
    47.867  -122.880
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.904  -121.979
    47.904  -121.979
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.898  -121.963
    47.904  -121.979
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.915  -122.899
    47.916  -122.895
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.910  -122.966
    47.916  -122.895
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.657  -122.782
    47.657  -122.783
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.656  -122.805
    47.657  -122.783
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.871  -122.049
    47.871  -122.050
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.886  -122.025
    47.871  -122.050
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.601  -121.819
    47.601  -121.819
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.598  -121.771
    47.601  -121.819
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.603  -121.824
    47.603  -121.825
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.595  -121.824
    47.603  -121.825
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.722  -121.966
    47.722  -121.966
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.715  -121.980
    47.722  -121.966
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.590  -122.588
    47.590  -122.588
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.562  -122.657
    47.590  -122.588
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.775  -122.505
    47.774  -122.506
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.768  -122.547
    47.774  -122.506
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.862  -122.940
    47.862  -122.938
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.846  -122.977
    47.862  -122.938
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.583  -122.583
    47.582  -122.583
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.538  -122.713
    47.582  -122.583
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.838  -122.734
    47.837  -122.734
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.853  -122.797
    47.837  -122.734
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.606  -121.819
    47.606  -121.819
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.601  -121.804
    47.606  -121.819
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    47.852  -122.947
    47.851  -122.948
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    47.820  -122.960
    47.851  -122.948
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    47.341  -122.459    76.001     0.102     0.166
    47.198  -122.310   -24.705     1.075     1.408
    47.436  -122.791   -27.271     1.129     1.720
    47.630  -122.188   -25.505     0.738     1.004
    47.594  -121.468   -31.958     0.762     0.996
    47.381  -122.377   -31.698     0.678     0.912
    47.783  -121.845   -57.867     0.678     0.790
    47.602  -122.597   -27.943     0.739     1.095
    47.512  -122.781   -25.624     0.735     1.201
    47.813  -122.764   -35.657     0.716     1.298
    47.503  -121.632   -27.451     0.810     1.088
    47.511  -121.894   -19.050     0.761     1.119
    47.165  -122.698   -43.018     0.823     1.246
    47.214  -122.699   -40.874     1.162     1.847
    47.093  -122.703   -36.853     1.189     1.733
    47.468  -122.814   -27.261     0.683     1.055
    47.397  -121.791   -34.028     0.771     0.962
    47.583  -121.845   -30.426     0.614     0.776
    47.588  -121.921   -16.170     0.767     1.078
    47.757  -121.845   -21.810     0.948     1.223
    47.512  -121.914   -16.671     0.713     1.011
    47.484  -122.738   -24.557     0.511     0.820
    47.661  -122.004   -23.617     0.895     1.292
    47.431  -122.756   -18.903     0.720     1.357
    47.611  -122.594   -38.080     1.081     1.441
    47.245  -122.875   -21.954     0.823     1.303
    47.839  -122.933   -36.324     0.816     1.414
    47.963  -122.418   -26.537     0.977     1.290
    47.470  -121.803   -21.848     0.734     1.087
    47.401  -122.739   -21.255     0.749     0.997
    47.781  -122.914   -23.785     1.013     1.099
    47.812  -122.552   -36.048     0.791     0.967
    47.302  -122.388   -23.212     0.738     0.992
    47.686  -121.995   -31.986     0.822     1.133
    47.822  -121.958   -28.789     0.629     0.847
    47.266  -122.697   -32.189     0.897     1.337
    47.454  -122.891   -35.127     0.892     1.406
    47.759  -122.353   -31.765     0.597     0.808
    47.745  -122.539   -34.751     0.753     1.006
    47.644  -121.718   -32.195     0.831     0.944
    47.473  -122.045   -17.851     0.647     0.906
    47.435  -122.083   -29.319     0.618     0.768
    47.753  -122.482   -35.038     0.649     1.040
    47.687  -121.909   -35.659     0.844     1.219
    47.353  -122.726   -29.273     0.801     1.133
    47.767  -122.501   -31.269     0.651     0.906
    47.751  -122.863   -20.133     0.723     1.179
    47.609  -122.808   -14.373     0.857     1.271
    47.554  -122.967   -34.330     0.662     0.970
    47.125  -122.739   -48.319     1.146     1.907
    47.841  -121.866   -29.116     0.722     0.841
    47.520  -121.797   -21.384     0.525     0.582
    47.414  -122.045   -24.158     0.587     0.617
    47.861  -122.466   -33.222     0.544     0.666
    47.538  -122.789   -31.248     0.503     0.641
    47.496  -121.994     1.355     1.022     1.279
    47.468  -121.980   -37.104     0.513     0.653
    47.539  -121.938   -40.206     0.549     0.660
    47.393  -121.612   -67.298     0.889     1.104
    47.582  -122.576   -33.765     0.455     0.657
    47.590  -122.578   -33.478     0.526     0.669
    47.599  -122.590   -40.041     0.584     0.722
    47.966  -122.478   -38.496     0.632     0.685
    47.867  -122.880   -45.613     0.721     1.219
    47.904  -121.979   -51.323     0.840     1.058
    47.916  -122.895   -43.754     0.635     1.167
    47.657  -122.783   -39.695     0.483     0.621
    47.871  -122.050   -42.581     0.667     0.719
    47.601  -121.819    -5.250     0.554     0.654
    47.603  -121.825   -16.496     0.571     0.803
    47.722  -121.966   -27.012     0.520     0.638
    47.590  -122.588   -28.967     0.565     0.747
    47.774  -122.506   -46.215     0.467     0.551
    47.862  -122.938   -38.562     0.956     1.688
    47.582  -122.583   -20.282     0.449     0.507
    47.837  -122.734   -38.653     0.424     0.562
    47.606  -121.819   -25.075     0.464     0.688
    47.851  -122.948   -44.695     1.021     2.071
END
# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.341  -122.459     0.200
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.381  -122.377     0.100
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.783  -121.845     0.100
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.602  -122.597     0.100
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.165  -122.698     0.200
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    47.781  -122.914     0.100
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# User-defined stars
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
END

# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    47.047  -122.988   -18.810     0.705     0.739
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    47.047  -122.966   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    47.047  -122.988     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    47.047  -122.988     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    47.002  -122.988   5 km
END
